signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Enumerations
credentialsaccessmanager.h File Reference

Definition of the CredentialsAccessManager object. More...

`#include "accesscontrolmanagerhelper.h"`
`#include "credentialsdb.h"`
`#include "signonui_interface.h"`
`#include <QObject>`
`#include <QPointer>`
`#include <QFlags>`
`#include <QStringList>`
`#include <QVariantMap>`
`#include "SignOn/AbstractAccessControlManager"`
`#include "SignOn/AbstractCryptoManager"`
`#include "SignOn/AbstractKeyAuthorizer"`
`#include "SignOn/AbstractKeyManager"`
`#include "SignOn/AbstractSecretsStorage"`
`#include "SignOn/KeyHandler"`
Include dependency graph for credentialsaccessmanager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SignonDaemonNS::SecureStorageEvent
| Any object in the signon framework that needs the CredentialsAccessManager - CAM - secure storage in order to function properly can signal this event to the CAM. More...
class | SignonDaemonNS::CAMConfiguration
| Configuration object for the CredentialsAccessManager - CAM. More...
class | SignonDaemonNS::CredentialsAccessManager
| Main singleton and manager object of the credentials database system. More...

## Namespaces
| SignonDaemonNS

## Macros
#define | SIGNON_SECURE_STORAGE_NOT_AVAILABLE (QEvent::User + 1001)
| Use this event type to signal the CAM when the secure storage is not available. More...
#define | SIGNON_SECURE_STORAGE_AVAILABLE (QEvent::User + 1002)
| The CAM will reply with an event of this type when the secure storage access will be successfully resolved. More...

## Typedefs
typedef QPointer< QObject > | SignonDaemonNS::EventSender

## Enumerations
enum | SignonDaemonNS::CredentialsAccessError { SignonDaemonNS::NoError = 0, SignonDaemonNS::NotInitialized, SignonDaemonNS::AlreadyInitialized, SignonDaemonNS::AccessCodeHandlerInitFailed, SignonDaemonNS::AccessCodeNotReady, SignonDaemonNS::FailedToFetchAccessCode, SignonDaemonNS::AccessCodeInvalid, SignonDaemonNS::EncryptionInUse, SignonDaemonNS::CredentialsDbSetupFailed, SignonDaemonNS::CredentialsDbMountFailed, SignonDaemonNS::CredentialsDbUnmountFailed, SignonDaemonNS::CredentialsDbDeletionFailed, SignonDaemonNS::CredentialsDbAlreadyDeployed, SignonDaemonNS::CredentialsDbAlreadyMounted, SignonDaemonNS::CredentialsDbNotMounted, SignonDaemonNS::CredentialsDbConnectionError, SignonDaemonNS::CredentialsDbSqlError, SignonDaemonNS::UnknownError }

## Detailed Description

Definition of the CredentialsAccessManager object.

Definition in file credentialsaccessmanager.h.

## Macro Definition Documentation

#define SIGNON_SECURE_STORAGE_AVAILABLE (QEvent::User + 1002)

The CAM will reply with an event of this type when the secure storage access will be successfully resolved.

See Also
  SecureStorageEvent

Definition at line 66 of file credentialsaccessmanager.h.

Referenced by SignonDaemonNS::SignonSessionCore::customEvent().

#define SIGNON_SECURE_STORAGE_NOT_AVAILABLE (QEvent::User + 1001)

Use this event type to signal the CAM when the secure storage is not available.

CAM can also reply with a event of this type if it doesn't manage to resolve the secure storage access.

See Also
  SecureStorageEvent

Definition at line 58 of file credentialsaccessmanager.h.

Referenced by SignonDaemonNS::SignonSessionCore::customEvent(), and SignonDaemonNS::CredentialsAccessManager::customEvent().